#!/bin/sh
#
# Copyright (C) 2009  FUJITSU LIMITED
#
#  FJSVfefpcl script
#
### define #######################################
#UNAME=$(uname -r)
#PID=$$
#DATE=$(date +"%b %d %H:%M:%S")
FJSVFEFPCL_LOG="/var/log/FJSVfefpcl.log"
FJSVFEFPCL_LOCK="/var/lock/subsys/FJSVfefpcl"
FJSVFEFPCL_LOCK_2="/mnt/.FJSVfefpcl"
PROC_FILE="/proc/panicforpcl/message"
SADUMP_STATUS="/var/lock/subsys/sadump"
SADUMP_STATUS_2="/mnt/sadump"
HALT=2
OK=0
NG=1
### proc #########################################
if [ ! -f $FJSVFEFPCL_LOCK -a ! -f $FJSVFEFPCL_LOCK_2 ];then
#	echo "$DATE $UNAME fefpcl_post[$PID] INFO:FJSVfefpcl is stopping." >> $FJSVFEFPCL_LOG
	exit $OK
fi

if [ -f $PROC_FILE ];then
	#When kdump succeeded or sadump stop, status is changed to HALT.
	if [ $1 -eq 0 ]; then
		echo $HALT > $PROC_FILE
#		echo "$DATE $UNAME fefpcl_post[$PID] INFO:Message type HALT was written." >> $FJSVFEFPCL_LOG
	elif [ ! -f $SADUMP_STATUS -a ! -f $SADUMP_STATUS_2 ]; then
		echo $HALT > $PROC_FILE
#		echo "$DATE $UNAME fefpcl_post[$PID] INFO:Message type HALT was written." >> $FJSVFEFPCL_LOG
	fi
else
#	echo "$DATE $UNAME fefpcl_post[$PID] ERROR:Failed in writing the message type because outputfile does not exist." >> $FJSVFEFPCL_LOG
	exit $NG
fi
exit $OK
